export default {
  data () {
    return {
      windowHeight: 0,
      windowWidth: 0
    }
  },
  
  created () {
    window.addEventListener('resize', this.getWindowSize)
    this.getWindowSize()
  },

  beforeDestroy () {
    window.removeEventListener('resize', this.getWindowSize)
  },

  methods: {
    getWindowSize () {
        this.windowHeight = window.innerHeight
        this.windowWidth = window.innerWidth
        if (this.containerWidth > 0) {
            this.windowWidth = this.containerWidth;
        } else {
            console.log(`exception ${this.containerWidth}`)
        }
    }
  }
}
